[arch-commits] Commit in pcmanfm/repos (4 files)

Juergen Hoetzel juergen at archlinux.org
Sun Oct 25 17:09:59 EDT 2009


    Date: Sunday, October 25, 2009 @ 17:09:59
  Author: juergen
Revision: 56699

Merged revisions 56698 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/pcmanfm/trunk

........
  r56698 | juergen | 2009-10-25 22:09:24 +0100 (So, 25 Okt 2009) | 3 lines
  
  Update to 0.5.2
  Fixes FS#16760
........

Added:
  pcmanfm/repos/extra-i686/0001-remove-invalid-trailing-newline-in-msgstr.patch
    (from rev 56698, pcmanfm/trunk/0001-remove-invalid-trailing-newline-in-msgstr.patch)
Modified:
  pcmanfm/repos/extra-i686/	(properties)
  pcmanfm/repos/extra-i686/PKGBUILD
Deleted:
  pcmanfm/repos/extra-i686/pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch

------------------------------------------------------+
 0001-remove-invalid-trailing-newline-in-msgstr.patch |   25 +++++++++++++++++
 PKGBUILD                                             |   11 +++----
 pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch           |   14 ---------
 3 files changed, 30 insertions(+), 20 deletions(-)


Property changes on: pcmanfm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /pcmanfm/trunk:1-44599
   + /pcmanfm/trunk:1-56698

Copied: pcmanfm/repos/extra-i686/0001-remove-invalid-trailing-newline-in-msgstr.patch (from rev 56698, pcmanfm/trunk/0001-remove-invalid-trailing-newline-in-msgstr.patch)
===================================================================
--- extra-i686/0001-remove-invalid-trailing-newline-in-msgstr.patch	                        (rev 0)
+++ extra-i686/0001-remove-invalid-trailing-newline-in-msgstr.patch	2009-10-25 21:09:59 UTC (rev 56699)
@@ -0,0 +1,25 @@
+From ea5771c10961f79a291794fe0a9ce2617a02eb1d Mon Sep 17 00:00:00 2001
+From: Juergen Hoetzel <juergen at archlinux.org>
+Date: Sun, 25 Oct 2009 22:00:24 +0100
+Subject: [PATCH] remove invalid trailing newline in msgstr
+
+---
+ po/ca.po |    2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
+diff --git a/po/ca.po b/po/ca.po
+index afb3381..ba8c230 100644
+--- a/po/ca.po
++++ b/po/ca.po
+@@ -301,7 +301,7 @@ msgstr ""
+ "Des de fa una setmana\n"
+ "Des de fa un mes\n"
+ "Des de fa un any\n"
+-"Dins el rang de dates seleccionat\n"
++"Dins el rang de dates seleccionat"
+ 
+ #: ../data/ui/find-files.glade.h:15
+ msgid "Audio Files (mp3, ogg,...)"
+-- 
+1.6.4
+

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-10-25 21:09:24 UTC (rev 56698)
+++ extra-i686/PKGBUILD	2009-10-25 21:09:59 UTC (rev 56699)
@@ -1,8 +1,8 @@
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=pcmanfm
-pkgver=0.5.1
-pkgrel=2
+pkgver=0.5.2
+pkgrel=1
 pkgdesc="File manager of the LXDE Desktop"
 arch=('i686' 'x86_64')
 url="http://pcmanfm.sourceforge.net/"
@@ -11,12 +11,11 @@
 depends=('gtk2' 'hal' 'fam' 'startup-notification' 'shared-mime-info' 'desktop-file-utils')
 makedepends=('intltool' 'pkgconfig')
 install=pcmanfm.install
-source=(http://downloads.sourceforge.net/pcmanfm/pcmanfm-$pkgver.tar.bz2\
-	pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch)
-md5sums=('72daf7c19c66d365b000170d7b254f40' '5307db08e0b89f054b3a18dd8f53cd9e')
+source=(http://downloads.sourceforge.net/pcmanfm/pcmanfm-$pkgver.tar.bz2 0001-remove-invalid-trailing-newline-in-msgstr.patch)
+md5sums=('750f89cbe7496e5f4c09e4c5a95dec6e' '80c9b6327bc664dcae6882a42a27a940')
 build() {
   cd "$srcdir/$pkgname-$pkgver"
-  patch -p2 -i ${srcdir}/pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch || return 1
+	patch -p1 -i $srcdir/0001-remove-invalid-trailing-newline-in-msgstr.patch || return 1
   ./configure --sysconfdir=/etc --prefix=/usr || return 1
   make || return 1
   make DESTDIR="$pkgdir" install || return 1

Deleted: extra-i686/pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch
===================================================================
--- extra-i686/pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch	2009-10-25 21:09:24 UTC (rev 56698)
+++ extra-i686/pcmanfm-0.5.1-fix-missing-pixbuf-ref.patch	2009-10-25 21:09:59 UTC (rev 56699)
@@ -1,14 +0,0 @@
-diff -ubr src/pcmanfm-0.5.1.orig/src/vfs/vfs-utils.c src/pcmanfm-0.5.1/src/vfs/vfs-utils.c
---- src/pcmanfm-0.5.1.orig/src/vfs/vfs-utils.c	2009-04-20 19:39:39.000000000 +0200
-+++ src/pcmanfm-0.5.1/src/vfs/vfs-utils.c	2009-07-02 22:13:07.000000000 +0200
-@@ -37,7 +37,10 @@
-     if( G_LIKELY( file ) )
-         icon = gdk_pixbuf_new_from_file( file, NULL );
-     else
-+    {
-         icon = gtk_icon_info_get_builtin_pixbuf( inf );
-+        g_object_ref( icon );
-+    }
-     gtk_icon_info_free( inf );
- 
-     if( G_LIKELY( icon ) )  /* scale down the icon if it's too big */



More information about the arch-commits mailing list